SeExpr

Public Member Functions | Private Attributes | List of all members
ExprTreeModel Class Reference
Inheritance diagram for ExprTreeModel:

## Public Member Functions
| ExprTreeModel ()
| ~ExprTreeModel ()
void | update ()
void | clear ()
void | addPath (const char *label, const char *path)
QModelIndex | parent (const QModelIndex &index) const
QModelIndex | index (int row, int column, const QModelIndex &parent=QModelIndex()) const
int | columnCount (const QModelIndex &parent) const
int | rowCount (const QModelIndex &parent=QModelIndex()) const
QVariant | data (const QModelIndex &index, int role=Qt::DisplayRole) const
QModelIndex | find (QString path)

## Private Attributes
ExprTreeItem * | root

## Detailed Description

Definition at line 129 of file ExprBrowser.cpp.

## Constructor & Destructor Documentation

## ◆ ExprTreeModel()

ExprTreeModel::ExprTreeModel | ( |  | ) |
| inline

Definition at line 133 of file ExprBrowser.cpp.

## ◆ ~ExprTreeModel()

ExprTreeModel::~ExprTreeModel | ( |  | ) |
| inline

Definition at line 135 of file ExprBrowser.cpp.

References root.

## Member Function Documentation

## ◆ addPath()

void ExprTreeModel::addPath | ( | const char * | label,
|  | const char * | path
| ) |  |
| inline

Definition at line 149 of file ExprBrowser.cpp.

References ExprTreeItem::addChild(), and root.

Referenced by ExprBrowser::addPath().

## ◆ clear()

void ExprTreeModel::clear | ( |  | ) |
| inline

Definition at line 143 of file ExprBrowser.cpp.

References ExprTreeItem::clear(), and root.

Referenced by ExprBrowser::clear().

## ◆ columnCount()

int ExprTreeModel::columnCount | ( | const QModelIndex & | parent | ) | const
| inline

Definition at line 172 of file ExprBrowser.cpp.

References parent().

## ◆ data()

QVariant ExprTreeModel::data | ( | const QModelIndex & | index,
|  | int | role = `Qt::DisplayRole`
| ) |  | const
| inline

Definition at line 189 of file ExprBrowser.cpp.

References index(), and ExprTreeItem::label.

## ◆ find()

QModelIndex ExprTreeModel::find | ( | QString | path | ) |
| inline

Definition at line 199 of file ExprBrowser.cpp.

References ExprTreeItem::find(), ExprTreeItem::regen(), root, and ExprTreeItem::row.

Referenced by ExprBrowser::selectPath().

## ◆ index()

QModelIndex ExprTreeModel::index | ( | int | row,
|  | int | column,
|  | const QModelIndex & | parent = `QModelIndex()`
| ) |  | const
| inline

Definition at line 161 of file ExprBrowser.cpp.

References ExprTreeItem::getChild(), parent(), and root.

Referenced by data(), and parent().

## ◆ parent()

QModelIndex ExprTreeModel::parent | ( | const QModelIndex & | index | ) | const
| inline

Definition at line 151 of file ExprBrowser.cpp.

References index(), ExprTreeItem::parent, root, and ExprTreeItem::row.

Referenced by columnCount(), index(), and rowCount().

## ◆ rowCount()

int ExprTreeModel::rowCount | ( | const QModelIndex & | parent = `QModelIndex()` | ) | const
| inline

Definition at line 177 of file ExprBrowser.cpp.

References ExprTreeItem::getChildCount(), parent(), and root.

## ◆ update()

void ExprTreeModel::update | ( |  | ) |
| inline

Definition at line 137 of file ExprBrowser.cpp.

Referenced by ExprBrowser::update().

## Member Data Documentation

## ◆ root

ExprTreeItem* ExprTreeModel::root
| private

Definition at line 130 of file ExprBrowser.cpp.

Referenced by addPath(), clear(), find(), index(), parent(), rowCount(), and ~ExprTreeModel().

The documentation for this class was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprBrowser.cpp